/* ----------------------------------------------------------------------------
 * This file was automatically generated by SWIG (http://www.swig.org).
 * Version 3.0.12
 *
 * Do not make changes to this file unless you know what you are doing--modify
 * the SWIG interface file instead.
 * ----------------------------------------------------------------------------- */

package it.politecnico.coolprop;

public class SpinodalData {
  private transient long swigCPtr;
  protected transient boolean swigCMemOwn;

  protected SpinodalData(long cPtr, boolean cMemoryOwn) {
    swigCMemOwn = cMemoryOwn;
    swigCPtr = cPtr;
  }

  protected static long getCPtr(SpinodalData obj) {
    return (obj == null) ? 0 : obj.swigCPtr;
  }

  protected void finalize() {
    delete();
  }

  public synchronized void delete() {
    if (swigCPtr != 0) {
      if (swigCMemOwn) {
        swigCMemOwn = false;
        CoolPropJNI.delete_SpinodalData(swigCPtr);
      }
      swigCPtr = 0;
    }
  }

  public void setTau(DoubleVector value) {
    CoolPropJNI.SpinodalData_tau_set(swigCPtr, this, DoubleVector.getCPtr(value), value);
  }

  public DoubleVector getTau() {
    long cPtr = CoolPropJNI.SpinodalData_tau_get(swigCPtr, this);
    return (cPtr == 0) ? null : new DoubleVector(cPtr, false);
  }

  public void setDelta(DoubleVector value) {
    CoolPropJNI.SpinodalData_delta_set(swigCPtr, this, DoubleVector.getCPtr(value), value);
  }

  public DoubleVector getDelta() {
    long cPtr = CoolPropJNI.SpinodalData_delta_get(swigCPtr, this);
    return (cPtr == 0) ? null : new DoubleVector(cPtr, false);
  }

  public void setM1(DoubleVector value) {
    CoolPropJNI.SpinodalData_M1_set(swigCPtr, this, DoubleVector.getCPtr(value), value);
  }

  public DoubleVector getM1() {
    long cPtr = CoolPropJNI.SpinodalData_M1_get(swigCPtr, this);
    return (cPtr == 0) ? null : new DoubleVector(cPtr, false);
  }

  public SpinodalData() {
    this(CoolPropJNI.new_SpinodalData(), true);
  }

}
